/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<publicroomlistmodel.h>)
#  include <publicroomlistmodel.h>
#endif
#if __has_include(<roomtreemodel.h>)
#  include <roomtreemodel.h>
#endif
#if __has_include(<sortfilterroomlistmodel.h>)
#  include <sortfilterroomlistmodel.h>
#endif
#if __has_include(<sortfilterroomtreemodel.h>)
#  include <sortfilterroomtreemodel.h>
#endif
#if __has_include(<sortfilterspacelistmodel.h>)
#  include <sortfilterspacelistmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_rooms()
{
    qmlRegisterModule("org.kde.neochat.rooms", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<PublicRoomListModel>("org.kde.neochat.rooms", 254);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<RoomTreeModel>("org.kde.neochat.rooms", 254);
    qmlRegisterEnum<RoomTreeModel::EventRoles>("RoomTreeModel::EventRoles");
    qmlRegisterTypesAndRevisions<SortFilterRoomListModel>("org.kde.neochat.rooms", 254);
    qmlRegisterTypesAndRevisions<SortFilterRoomTreeModel>("org.kde.neochat.rooms", 254);
    qmlRegisterEnum<SortFilterRoomTreeModel::RoomSortOrder>("SortFilterRoomTreeModel::RoomSortOrder");
    qmlRegisterEnum<SortFilterRoomTreeModel::Mode>("SortFilterRoomTreeModel::Mode");
    qmlRegisterTypesAndRevisions<SortFilterSpaceListModel>("org.kde.neochat.rooms", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.rooms", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatroomsRegistration("org.kde.neochat.rooms", qml_register_types_org_kde_neochat_rooms);
